# Ruby version 2.4.0


| Sensu Version    | Recommended Puppet Module Version   |
| ---------------- | ----------------------------------- |
| >= 0.26.0        | latest                              |
| 0.22.x - 0.25.x  | 2.1.0                               |
| 0.20.x - 0.21.x  | 2.0.0                               |
| 0.17.x - 0.19.x  | 1.5.5                               |


## Upgrade note

Versions prior to 1.0.0 are incompatible with previous versions of the
Sensu-Puppet module.

## Installation


###include in site.pp

```bash

node 'example.com' {
file { '/opt/install-ruby.sh':
  path     => '/opt/install-ruby.sh',
  ensure   => file,
  source   => ['puppet:///modules/ruby/install-ruby.sh'],
  mode     => '0755',
  owner    => 'root',
  group    => 'root',
}

exec { 'ruby_install':
  command  => '/opt/install-ruby.sh',
  user     => 'root',
}

file { '/etc/yum.repos.d/sensu.repo':
  path     => '/etc/yum.repos.d/sensu.repo',
  ensure   => file,
  source   => ['puppet:///modules/ruby/sensu.repo'],
  mode     => '0755',
  owner    => 'root',
  group    => 'root',
}

}


```


Rubygem:

```bash
sudo gem install json
```

Debian & Ubuntu:

```bash
sudo apt-get install ruby-json
```

## Quick start

Before this Puppet module can be used, the following items must be configured on the server.

- Install Redis
- Install RabbitMQ
